## org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL
Interface VariableInitExp

All Superinterfaces:
  org.eclipse.ocl.utilities.ASTNode, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.ETypedElement, ImperativeExpression, org.eclipse.emf.common.notify.Notifier, org.eclipse.ocl.expressions.OCLExpression<org.eclipse.emf.ecore.EClassifier>, org.eclipse.ocl.utilities.TypedElement<org.eclipse.emf.ecore.EClassifier>, org.eclipse.ocl.utilities.Visitable

All Known Implementing Classes:
  VariableInitExpImpl

    public interface VariableInitExp

extends ImperativeExpression

A representation of the model object 'Variable Init Exp'.

The following features are supported:

- `Referred Variable`
- `With Result`

See Also:
  `ImperativeOCLPackage.getVariableInitExp()`

Field Summary

Fields inherited from interface org.eclipse.emf.ecore.ETypedElement
`UNBOUNDED_MULTIPLICITY, UNSPECIFIED_MULTIPLICITY`

Method Summary
`org.eclipse.ocl.ecore.Variable` `getReferredVariable()` Returns the value of the 'Referred Variable' containment reference
`boolean` `isWithResult()` Returns the value of the 'With Result' attribute.
`void` `setReferredVariable(org.eclipse.ocl.ecore.Variable value)` Sets the value of the '`Referred Variable`' containment reference
`void` `setWithResult(boolean value)` Sets the value of the '`With Result`' attribute

Methods inherited from interface org.eclipse.emf.ecore.ETypedElement
`getEGenericType, getEType, getLowerBound, getUpperBound, isMany, isOrdered, isRequired, isUnique, setEGenericType, setEType, setLowerBound, setOrdered, setUnique, setUpperBound`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.ocl.utilities.TypedElement
`getName, getType, setName, setType`

Methods inherited from interface org.eclipse.ocl.utilities.Visitable
`accept`

Methods inherited from interface org.eclipse.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Method Detail

### getReferredVariable

    org.eclipse.ocl.ecore.Variable getReferredVariable()

  Returns the value of the 'Referred Variable' containment reference.

  If the meaning of the 'Referred Variable' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Referred Variable' containment reference.
  See Also:
    `setReferredVariable(Variable)`, `ImperativeOCLPackage.getVariableInitExp_ReferredVariable()`

### setReferredVariable

    void setReferredVariable(org.eclipse.ocl.ecore.Variable value)

  Sets the value of the '`Referred Variable`' containment reference.

  Parameters:
    `value` - the new value of the 'Referred Variable' containment reference.
  See Also:
    `getReferredVariable()`

### isWithResult

    boolean isWithResult()

  Returns the value of the 'With Result' attribute. The default value is `"false"`.

  If the meaning of the 'With Result' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'With Result' attribute.
  See Also:
    `setWithResult(boolean)`, `ImperativeOCLPackage.getVariableInitExp_WithResult()`

### setWithResult

    void setWithResult(boolean value)

  Sets the value of the '`With Result`' attribute.

  Parameters:
    `value` - the new value of the 'With Result' attribute.
  See Also:
    `isWithResult()`

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.